Bug 165403 - [PATCH] japanese/mailman: Switch to Japanized mailman 2.1.14+j7
Summary: [PATCH] japanese/mailman: Switch to Japanized mailman 2.1.14+j7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 21:40 UTC by TAKATSU Tomonari
Modified: 2012-03-04 06:47 UTC (History)
1 user (show)

See Also:


Attachments
ja-mailman-2.1.14.j7,1.patch (127.78 KB, patch)
2012-02-22 21:40 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TAKATSU Tomonari freebsd_committer 2012-02-22 21:40:08 UTC
- Switch to Japanized mailman 2.1.14+j7 based on mail/mailman
- Add CONFLICTS with mail/mailman
- Update pkg-descr

Added file(s):
- distinfo
- pkg-descr
- pkg-plist
- files/FreeBSD-post-install-notes
- files/extra-patch-Mailman-Cgi-private.py
- files/mailman.in
- files/patch-Mailman-Defaults.py.in
- files/patch-Mailman-htmlformat.py
- files/patch-configure.in
- files/patch-misc-mailman.in
- files/pkg-deinstall.in
- files/pkg-install.in
- files/pkg-message.in
- files/postfix-verp.diff
- files/powerlogo.gif.uue

Port maintainer (koj@ofug.net) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-02-22 21:40:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-02-22 21:40:25 UTC
Maintainer of japanese/mailman,

Please note that PR ports/165403 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165403

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-02-22 21:40:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 koj 2012-02-24 06:49:20 UTC
Mr. Edwin Groothuis,

I approve the patch.

Thank you.


On Wed, 22 Feb 2012 21:40:25 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of japanese/mailman,
> 
> Please note that PR ports/165403 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165403
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org


-- 
Sunagawa Koji <koj@ofug.net>
http://www.ofug.net/koj/
http://k2323.com/blog/
Comment 5 dfilter service freebsd_committer 2012-03-04 06:00:51 UTC
tota        2012-03-04 06:00:38 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailman         Makefile pkg-plist 
    japanese/mailman     Makefile 
  Added files:
    mail/mailman/files   pkg-deinstall.in pkg-install.in 
    japanese/mailman     distinfo pkg-descr pkg-plist 
    japanese/mailman/files FreeBSD-post-install-notes 
                           extra-patch-Mailman-Cgi-private.py 
                           mailman.in patch-Mailman-Defaults.py.in 
                           patch-Mailman-htmlformat.py 
                           patch-configure.in 
                           patch-misc-mailman.in pkg-deinstall.in 
                           pkg-install.in pkg-message.in 
                           postfix-verp.diff powerlogo.gif.uue 
  Removed files:
    mail/mailman         pkg-deinstall pkg-install 
  Log:
  - mail/mailman [1]
    * Add LICENSE section
    * Add CONFLICTS with japanese/mailman
    * Make use of SUB_FILES
    * Make use of PORTDOCS
    * Apply simple use of OPTIONS
    * Add WITHOUT_NLS knob to make portlint happier
    * Append "MTA = 'Postfix'" to mm_cfg.py.dist.in when defined
      both WITH_POSTFIX and WITH_INTEGRATION at the same time [3]
    * Bump PORTREVISION
  
  - japanese/mailman [2]
    * Switch to Japanized mailman 2.1.14+j7 based on mail/mailman
    * Take maintainership
    * Add CONFLICTS with mail/mailman
    * Update pkg-descr
    * Set PORTEPOCH because 2.1.14.j7 is less than 2.1.14_6
  
  PR:             ports/165404 (based on) [1], ports/165403 [2]
  Submitted by:   tota (myself) [1] [2]
  Suggested by:   Yoshito Takeuchi [3]
  Approved by:    Sunagawa Koji (maintainer) [2]
  Dedicated to:   Tokio Kikuchi
  
  Revision  Changes      Path
  1.5       +175 -6      ports/japanese/mailman/Makefile
  1.4       +2 -0        ports/japanese/mailman/distinfo (new)
  1.1       +172 -0      ports/japanese/mailman/files/FreeBSD-post-install-notes (new)
  1.1       +30 -0       ports/japanese/mailman/files/extra-patch-Mailman-Cgi-private.py (new)
  1.1       +38 -0       ports/japanese/mailman/files/mailman.in (new)
  1.1       +54 -0       ports/japanese/mailman/files/patch-Mailman-Defaults.py.in (new)
  1.1       +43 -0       ports/japanese/mailman/files/patch-Mailman-htmlformat.py (new)
  1.1       +70 -0       ports/japanese/mailman/files/patch-configure.in (new)
  1.1       +25 -0       ports/japanese/mailman/files/patch-misc-mailman.in (new)
  1.1       +52 -0       ports/japanese/mailman/files/pkg-deinstall.in (new)
  1.1       +39 -0       ports/japanese/mailman/files/pkg-install.in (new)
  1.1       +29 -0       ports/japanese/mailman/files/pkg-message.in (new)
  1.1       +44 -0       ports/japanese/mailman/files/postfix-verp.diff (new)
  1.1       +121 -0      ports/japanese/mailman/files/powerlogo.gif.uue (new)
  1.1       +13 -0       ports/japanese/mailman/pkg-descr (new)
  1.1       +2398 -0     ports/japanese/mailman/pkg-plist (new)
  1.95      +56 -40      ports/mail/mailman/Makefile
  1.1       +52 -0       ports/mail/mailman/files/pkg-deinstall.in (new)
  1.1       +39 -0       ports/mail/mailman/files/pkg-install.in (new)
  1.15      +0 -52       ports/mail/mailman/pkg-deinstall (dead)
  1.12      +0 -39       ports/mail/mailman/pkg-install (dead)
  1.44      +1740 -1757  ports/mail/mailman/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 TAKATSU Tomonari freebsd_committer 2012-03-04 06:47:13 UTC
State Changed
From-To: feedback->closed

Committed.